<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<completable-card title="{{'parameters.election-page-properties.card.title' | translate}}"
                  subtitle="{{'parameters.election-page-properties.card.subtitle' | translate}}"
                  required=true
                  [readOnly]="readOnly"
                  [completed]="completed"
                  [inError]="inError"
                  [partiallyCompleted]="true"
                  [editSection]="['edit', 'election-page-properties']">
  <div fxLayout="column" fxLayoutGap="2rem">
    <div fxLayout="column" fxLayoutAlign="start">
      <span class="readonly-label">{{'parameters.election-page-properties.card.mapping-count' | translate}}</span>
      <span class="readonly-value" id="mapping-count">{{mappingCount}}</span>
    </div>
    <div fxLayout="column" fxLayoutAlign="start">
      <span class="readonly-label">{{'parameters.election-page-properties.card.model-count' | translate}}</span>
      <span class="readonly-value" id="model-count">{{modelCount}}</span>
    </div>
  </div>
</completable-card>
